Ora-600: Internal Error [Unable To Load Xdb Library] (Doc ID 417020.1)

Last updated on JANUARY 22, 2013

Applies to:

Oracle Database - Enterprise Edition - Version 9.2.0.3 to 11.1.0.7 [Release 9.2 to 11.1]
IBM AIX on POWER Systems (64-bit)
Checked for relevance on 23-Jan-2013

IBM AIX Based Systems (64-bit)
AIX5L Based Systems (64-bit)
This is a specific platform case of going from 9.2.0.3 to 111 on AIX using the upgrade scripts method .
This is a use case where you have Spatial or Intermedia Feature installed but do not have the XDB feature installed.


Symptoms

Upgrading from 9.2.0.3 to 11.1, running the script catupgrd.sql fails
getting ora-600 errors.

 

This is a use case where you have Spatial or Intermedia Feature installed but do not have the XDB feature installed.

 



Changes

10g added enhancements to the Intermedia and Spatial features for the use of Schema constrained XML Metadata . This made it necessary to have the XDB feature installed. The catupgrd.sql script will try and install it. If you do not have a sysaux tablespace defined by default it will fail due to lack of tablespace. if one is there but the env is incorrect you will fail with the ora-600 unable to load XDB library

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms